DbEnv::mutex_get_align()
Prev | Chapter 10. Mutex Methods | Next

## DbEnv::mutex_get_align()

    #include <db_cxx.h>

    int
    DbEnv::mutex_get_align(u_int32_t *alignp);

The `DbEnv::mutex_get_align()` method returns the mutex alignment, in bytes.

The `DbEnv::mutex_get_align()` method may be called at any time during the life of the application.

The `DbEnv::mutex_get_align()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### alignp

The `DbEnv::mutex_get_align()` method returns the mutex alignment, in bytes in alignp.

### Class

DbEnv

### See Also

Mutex Methods

Prev | Up | Next
DbEnv::mutex_free() | Home | DbEnv::mutex_get_increment()